Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class PortalCustomizationManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.PortalCustomizationManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IBookInstanceManager, IDesktopInstanceManager, IPageInstanceManager, IPortletInstanceManager, Serializable, SessionBean

public class PortalCustomizationManagerImpl
extends Object
implements SessionBean, IPortletInstanceManager, IPageInstanceManager, IBookInstanceManager, IDesktopInstanceManager

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`PortalCustomizationManagerImpl()`

Method Summary
`NavigableInstance` | `addNavigable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, BookInstanceId bookInstanceId, NavigableDefinitionId navigableDefinitionId, int position, int align)` Create an new instance of a `NavigableView` (BookView or PageView) from the supplied NavigableDefinition object.
`PlaceableInstance` | `addPlaceable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PageInstanceId pageInstanceId, PlaceableDefinitionId placeableDefinitionId, PlaceholderDefinitionId placeholderDefinitionId, int position)` Create a new instance of a placeable (PortletView or BookView) by placing the definition in a placeholder.
`PortletInstanceId` | `createSuccessor(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PortletInstanceId portletInstanceId)` Creates a successor instance and returns its instance ID.
`void` | `deleteDesktopCustomizations(String username)` Delete/Remove all the customization for a particular user.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`BookInstance` | `getBookInstance(CustomizationContext customizationContext, BookInstanceId bookInstanceId)` Getter for returning a `BookInstance` identified by the supplieed instance id.
`BookView` | `getBookView(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, BookInstanceId bookInstanceId)` Getter for returning an immutable deep copy of a `BookView`.
`DesktopView` | `getCustomizedDesktopView(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Getter for returning an immutable deep copy of a `DesktopView`.
`DesktopInstance` | `getDesktopInstance(CustomizationContext customizationContext, DesktopInstanceId desktopInstanceId)` Getter for returning a `DesktopInstance` identified by the supplied instance id.
`DesktopView` | `getDesktopView(CustomizationContext customizationContext, DesktopInstanceId desktopInstanceId)` Getter for returning an immutable deep copy of a `DesktopView`.
`DesktopView` | `getDesktopView(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Getter for returning an immutable deep copy of a `DesktopView`.
`PageInstance` | `getPageInstance(CustomizationContext customizationContext, PageInstanceId pageInstanceId)` Getter for returning a single `PageInstance`.
`PageView` | `getPageView(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PageInstanceId pageInstanceId)` Getter for returning an immutable deep copy of a `PageView`.
`PortletInstance` | `getPortletInstance(CustomizationContext customizationContext, PortletInstanceId portletInstanceId)` Getter for returning a single `PortletInstance`.
`PortletView` | `getPortletView(CustomizationContext customizationContext, PortletInstanceId portletInstanceId)` Getter for returning an immutable deep copy of a `PortletView`.
`PortletInstanceId` | `getPredecessor(CustomizationContext customizationContext, PortletInstanceId portletInstanceId)` Returns the instance ID that the given instance is based on.
`PortletInstanceId[]` | `getSuccessors(CustomizationContext customizationContext, PortletInstanceId portletInstanceId)` Returns a list of successor instances.
`NavigableInstance` | `moveNavigable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, BookInstanceId fromParentBookInstanceId, BookInstanceId toParentBookInstanceId, NavigableInstanceId navigableInstanceId, int position, int alignment)` Relocate the navigable instance to a new location.
`void` | `movePlaceable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PlacementId placementId, PageInstanceId toPageInstanceId, PlaceholderDefinitionId placeholderDefinitionId, int position)` Move a placeable instance from one placeholder to another.
`void` | `removeNavigable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, NavigableInstance navigableInstance)` Remove a NavigableView (BookView or PageView) from the specified book.
`void` | `removePlaceable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PlaceableInstance placeableInstance)` Remove a placeable from a page's placeholder.
`void` | `setDefaultNavigable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, BookInstanceId parentBookInstanceId, NavigableInstanceId navigableInstanceId)` Set the default navigable (page or book) on a page.
`void` | `setSessionContext(SessionContext sessionContext)`
`BookInstance` | `updateBookInstance(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, BookInstance bookInstance)` Update the persistent store for the supplied `BookInstance`.
`DesktopInstance` | `updateDesktopInstance(CustomizationContext customizationContext, DesktopInstance desktopInstance)` Update the persistent store for the supplied `DesktopInstance`.
`PageInstance` | `updatePageInstance(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PageInstance pageInstance)` Update the page instance with the new data.
`PortletInstance` | `updatePortletInstance(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, PortletInstance portletInstance)` Update the portlet instance with the new data.
`PortletInstance` | `updatePortletInstance(CustomizationContext customizationContext, PortletInstance portletInstance)` Update the portlet instance outside the context of a desktop (in a Library).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### PortalCustomizationManagerImpl

    public PortalCustomizationManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getPortletView

    public PortletView getPortletView(CustomizationContext customizationContext,
                                      PortletInstanceId portletInstanceId)

  Description copied from interface: `IPortletInstanceManager`

  Getter for returning an immutable deep copy of a `PortletView`. The `PortletView` object, unlike the `PortletDefinition` or the `PortletInstance` objects contains a full set of references to all child portlets, portlets and so on. The `PortletView` object however is immutable.

  Specified by:
    `getPortletView` in interface `IPortletInstanceManager`
  Parameters:
    `customizationContext` - customization information such as Locales and DesktopInstaceId
    `portletInstanceId` - the unique portletInstanceId.
  Returns:
    an immutable deep copy PortletView object if one exist, otherwise null.

### getPortletInstance

    public PortletInstance getPortletInstance(CustomizationContext customizationContext,
                                              PortletInstanceId portletInstanceId)
                                       throws RemoteException

  Description copied from interface: `IPortletInstanceManager`

  Getter for returning a single `PortletInstance`.

  Specified by:
    `getPortletInstance` in interface `IPortletInstanceManager`
  Parameters:
    `customizationContext` - the prefered language, country and variant to which the titles and descriptions are returned.
  Returns:
    an fully populated PortletInstance object.
    `RemoteException`
  See Also:
    `PortletDefinition`

### updatePortletInstance

    public PortletInstance updatePortletInstance(CustomizationContext customizationContext,
                                                 DesktopDefinitionId desktopDefinitionId,
                                                 PortletInstance portletInstance)
                                          throws RemoteException,
                                                 ObjectNotFoundException,
                                                 NotEntitledException

  Description copied from interface: `IPortletInstanceManager`

  Update the portlet instance with the new data. If the portlet instance is the primary portlet instance then a new instance will be created specifically for this user or admin.

  For an admin editing a portlet outside the context of a desktop (in a Library) you should use `updatePortletInstance(PortletInstance)`

  .

  Specified by:
    `updatePortletInstance` in interface `IPortletInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context this instance is associated with.
    `portletInstance` - the portlet instance containing the new data
  Returns:
    the new updated portlet instance, with possible a new portletInstanceId
  Throws:
    `ObjectNotFoundException` - if the PortletInstanceId in the PortletInstance, or desktopInstanceId is bogus.
    `RemoteException`
    `NotEntitledException`
  See Also:
    `IPortletInstanceManager.updatePortletInstance(CustomizationContext,PortletInstance)`

### updatePortletInstance

    public PortletInstance updatePortletInstance(CustomizationContext customizationContext,
                                                 PortletInstance portletInstance)
                                          throws RemoteException,
                                                 ObjectNotFoundException,
                                                 NotEntitledException

  Description copied from interface: `IPortletInstanceManager`

  Update the portlet instance outside the context of a desktop (in a Library). For Admins editing the primary instance (not placed on any page) use the PortletDefinitionManager.updatePortletDefinition().

  Specified by:
    `updatePortletInstance` in interface `IPortletInstanceManager`
  Parameters:
    `portletInstance` - the portlet instance containing the new data
  Returns:
    the new updated portlet instance.
  Throws:
    `ObjectNotFoundException` - if the PortletInstanceId in the PortletInstance is bogus.
    `RemoteException`
    `NotEntitledException`

### getPredecessor

    public PortletInstanceId getPredecessor(CustomizationContext customizationContext,
                                            PortletInstanceId portletInstanceId)
                                     throws RemoteException,
                                            ObjectNotFoundException

  Description copied from interface: `IPortletInstanceManager`

  Returns the instance ID that the given instance is based on. Returns `null` if there is no predecessor

  Specified by:
    `getPredecessor` in interface `IPortletInstanceManager`
  Parameters:
    `portletInstanceId` - the portlet instance ID
  Returns:
    successor instance ID
  Throws:
    `ObjectNotFoundException` - if the PortletInstanceId does not exist.
    `RemoteException`

### getSuccessors

    public PortletInstanceId[] getSuccessors(CustomizationContext customizationContext,
                                             PortletInstanceId portletInstanceId)
                                      throws RemoteException,
                                             ObjectNotFoundException

  Description copied from interface: `IPortletInstanceManager`

  Returns a list of successor instances. Returns an empty list if there are no successors.

  Specified by:
    `getSuccessors` in interface `IPortletInstanceManager`
  Parameters:
    `portletInstanceId` - the portlet instance ID
  Returns:
    array of successor instance IDs
  Throws:
    `ObjectNotFoundException` - if the PortletInstanceId does not exist.
    `RemoteException`

### createSuccessor

    public PortletInstanceId createSuccessor(CustomizationContext customizationContext,
                                             DesktopDefinitionId desktopDefinitionId,
                                             PortletInstanceId portletInstanceId)
                                      throws RemoteException,
                                             ObjectNotFoundException,
                                             NotEntitledException

  Description copied from interface: `IPortletInstanceManager`

  Creates a successor instance and returns its instance ID. Returns the same instance ID if there is no need to create a successor instance.

  Specified by:
    `createSuccessor` in interface `IPortletInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this chage applies.
    `portletInstanceId` - the portlet instance ID
  Returns:
    successor instance ID
  Throws:
    `ObjectNotFoundException` - if the PortletInstanceId does not exist.
    `RemoteException`
    `NotEntitledException`

### getPageView

    public PageView getPageView(CustomizationContext customizationContext,
                                DesktopDefinitionId desktopDefinitionId,
                                PageInstanceId pageInstanceId)
                         throws RemoteException

  Description copied from interface: `IPageInstanceManager`

  Getter for returning an immutable deep copy of a `PageView`. The `PageView` object, unlike the `PageDefinition` or the `PageInstance` objects contains a full set of references to all child pages, pages and so on. The `PageView` object however is immutable.

  Specified by:
    `getPageView` in interface `IPageInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `desktopDefinitionId` - the desktop definition it this page is placed in
    `pageInstanceId` - the unique pageInstanceId.
  Returns:
    an immutable deep copy PageView object if one exist, otherwise null.
    `RemoteException`

### getPageInstance

    public PageInstance getPageInstance(CustomizationContext customizationContext,
                                        PageInstanceId pageInstanceId)
                                 throws RemoteException

  Description copied from interface: `IPageInstanceManager`

  Getter for returning a single `PageInstance`.

  Specified by:
    `getPageInstance` in interface `IPageInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
  Returns:
    an fully populated PageInstance object.
    `RemoteException`
  See Also:
    `PageDefinition`

### updatePageInstance

    public PageInstance updatePageInstance(CustomizationContext customizationContext,
                                           DesktopDefinitionId desktopDefinitionId,
                                           PageInstance pageInstance)
                                    throws RemoteException,
                                           ObjectNotFoundException,
                                           NotEntitledException

  Description copied from interface: `IPageInstanceManager`

  Update the page instance with the new data.

  Specified by:
    `updatePageInstance` in interface `IPageInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop this instance is associated with
    `pageInstance` - the page definition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `RemoteException`
    `NotEntitledException`

### addPlaceable

    public PlaceableInstance addPlaceable(CustomizationContext customizationContext,
                                          DesktopDefinitionId desktopDefinitionId,
                                          PageInstanceId pageInstanceId,
                                          PlaceableDefinitionId placeableDefinitionId,
                                          PlaceholderDefinitionId placeholderDefinitionId,
                                          int position)
                                   throws RemoteException,
                                          ObjectNotFoundException,
                                          MissingDataException,
                                          NotEntitledException,
                                          IllegalDependencyException

  Description copied from interface: `IPageInstanceManager`
  Create a new instance of a placeable (PortletView or BookView) by placing the definition in a placeholder.

  Specified by:
    `addPlaceable` in interface `IPageInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales.
    `desktopDefinitionId` - context of the desktop to which this applies
    `pageInstanceId` - the page instance id of the page to add the placeable.
    `placeableDefinitionId` - the abstract definition id of the placeable
    `placeholderDefinitionId` - the placehoder to place this placeable in.
    `position` - the position in the placeholder to insert the placeholder.
  Returns:
    a fully populated placeable instance. This will be of a more concrete type depending on the placeable definition supplied.
  Throws:
    `ObjectNotFoundException` - if the PageDefinitionId or the PlaceholderDefinition Id are bogus
    `NotEntitledException` - the caller is not entitled to perform this action
    `IllegalDependencyException` - adding the Placeable to the PageInstance would cause a recursive dependancy
    `MissingDataException` - the placeableDefinition is missing some vital data.
    `RemoteException`

### movePlaceable

    public void movePlaceable(CustomizationContext customizationContext,
                              DesktopDefinitionId desktopDefinitionId,
                              PlacementId placementId,
                              PageInstanceId toPageInstanceId,
                              PlaceholderDefinitionId placeholderDefinitionId,
                              int position)
                       throws RemoteException,
                              ObjectNotFoundException,
                              NotEntitledException,
                              IllegalDependencyException

  Description copied from interface: `IPageInstanceManager`
  Move a placeable instance from one placeholder to another. This method is useful for preserving the instance of paceable.

  Specified by:
    `movePlaceable` in interface `IPageInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales.
    `desktopDefinitionId` - context of the desktop to which this applies
    `placementId` - the placement id of the placeables current placement within the page
    `toPageInstanceId` - the id of the page to move the placeable to.
    `placeholderDefinitionId` - the new placehoder to place this placeable in.
    `position` - the position in the placeholder to insert the placeholder.
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this action
    `ObjectNotFoundException` - if the PageDefinitionId or the PlaceholderDefinition Id are bogus
    `RemoteException`
    `IllegalDependencyException`

### removePlaceable

    public void removePlaceable(CustomizationContext customizationContext,
                                DesktopDefinitionId desktopDefinitionId,
                                PlaceableInstance placeableInstance)
                         throws RemoteException,
                                ObjectNotFoundException,
                                MissingDataException,
                                NotEntitledException

  Description copied from interface: `IPageInstanceManager`
  Remove a placeable from a page's placeholder. This operation will end up deleting the placeable's instance.

  Specified by:
    `removePlaceable` in interface `IPageInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales.
    `desktopDefinitionId` - context of the desktop to which this applies
    `placeableInstance` - the instance to be removed
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this action
    `ObjectNotFoundException` - If the padeDefinitionId or the placeableInstanceId are bogus definition is in use by other instance.
    `RemoteException`
    `MissingDataException`

### getBookView

    public BookView getBookView(CustomizationContext customizationContext,
                                DesktopDefinitionId desktopDefinitionId,
                                BookInstanceId bookInstanceId)
                         throws RemoteException

  Description copied from interface: `IBookInstanceManager`

  Getter for returning an immutable deep copy of a `BookView`. The `BookView` object, unlike the `BookDefinition` or the `BookInstance` objects contains a deep copy of all references to all child pages, books and so on. The `BookView` object however is immutable.

  Specified by:
    `getBookView` in interface `IBookInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `bookInstanceId` - the unique instance id of the book.
  Returns:
    an immutable deep copy BookView object if one exist, otherwise null.
    `RemoteException`
  See Also:
    `IBookDefinitionManager.getBookView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.BookDefinitionId)`

### getBookInstance

    public BookInstance getBookInstance(CustomizationContext customizationContext,
                                        BookInstanceId bookInstanceId)
                                 throws RemoteException

  Description copied from interface: `IBookInstanceManager`

  Getter for returning a `BookInstance` identified by the supplieed instance id.

  Specified by:
    `getBookInstance` in interface `IBookInstanceManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookInstanceId` - the unique id of the instace to return
  Returns:
    a fully populated internationalized `BookInstance` objects if it exist, otherwisez null.
    `RemoteException`

### updateBookInstance

    public BookInstance updateBookInstance(CustomizationContext customizationContext,
                                           DesktopDefinitionId desktopDefinitionId,
                                           BookInstance bookInstance)
                                    throws RemoteException,
                                           ObjectNotFoundException,
                                           NotEntitledException

  Description copied from interface: `IBookInstanceManager`

  Update the persistent store for the supplied `BookInstance`. All attributes of the BookInstance are updated in persistent store.

  Specified by:
    `updateBookInstance` in interface `IBookInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this update applies.
    `bookInstance` - the book instance containing all the new data. reference the same book defnition.
  Throws:
    `ObjectNotFoundException` - the BookInstanceId specified in the bookInstance is bogus.
    `RemoteException`
    `NotEntitledException`

### addNavigable

    public NavigableInstance addNavigable(CustomizationContext customizationContext,
                                          DesktopDefinitionId desktopDefinitionId,
                                          BookInstanceId bookInstanceId,
                                          NavigableDefinitionId navigableDefinitionId,
                                          int position,
                                          int align)
                                   throws RemoteException,
                                          ObjectNotFoundException,
                                          MissingDataException,
                                          NotEntitledException,
                                          IllegalDependencyException

  Description copied from interface: `IBookInstanceManager`

  Create an new instance of a `NavigableView` (BookView or PageView) from the supplied NavigableDefinition object.

  Specified by:
    `addNavigable` in interface `IBookInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this update applies.
    `bookInstanceId` - the book instance to add the navigable to.
    `navigableDefinitionId` - the navigable defintion id from which to create the instance.
    `position` - the position in the book (or menu) to insert this navigable (starts with 0)
    `align` - position the page from the left (top) or right (bottom)
  Returns:
    the NavigableView instance which was created.
  Throws:
    `IllegalDependencyException` - adding the Navigable to the BookInstance would cause a recursive dependancy
    `MissingDataException` - missing vital data in the NavigableDefinition.
    `ObjectNotFoundException` - BookDefinitionId or the NavigableDefinition are bogus.
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `RemoteException`

### moveNavigable

    public NavigableInstance moveNavigable(CustomizationContext customizationContext,
                                           DesktopDefinitionId desktopDefinitionId,
                                           BookInstanceId fromParentBookInstanceId,
                                           BookInstanceId toParentBookInstanceId,
                                           NavigableInstanceId navigableInstanceId,
                                           int position,
                                           int alignment)
                                    throws RemoteException,
                                           ObjectNotFoundException,
                                           NotEntitledException,
                                           IllegalDependencyException

  Description copied from interface: `IBookInstanceManager`

  Relocate the navigable instance to a new location.

  Specified by:
    `moveNavigable` in interface `IBookInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this update applies.
    `fromParentBookInstanceId` - the parent book instance id we are moving this navigable from.
    `toParentBookInstanceId` - the parent book instance to move the navigable instance to.
    `navigableInstanceId` - the identifier identifying the instance to move.
    `position` - the position in the book (or menu) to insert this navigable (starts with 0)
    `alignment` - position the page from the left (top) or right (bottom) reference the same book defnition.
  Returns:
    a reference to the newly positioned navigableInstance
  Throws:
    `IllegalDependencyException` - if this move would cause an infinite loop condition
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - BookInstanceId or the NavigableInstanceId are bogus.
    `RemoteException`

### removeNavigable

    public void removeNavigable(CustomizationContext customizationContext,
                                DesktopDefinitionId desktopDefinitionId,
                                NavigableInstance navigableInstance)
                         throws RemoteException,
                                ObjectNotFoundException,
                                MissingDataException,
                                NotEntitledException

  Description copied from interface: `IBookInstanceManager`

  Remove a NavigableView (BookView or PageView) from the specified book. This method does not delete the NavigableView it just removes it from the book.

  Specified by:
    `removeNavigable` in interface `IBookInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this update applies.
    `navigableInstance` - the instance to be removed. reference the same book defnition.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - BookInstanceId or the NavigableInstanceId are bogus.
    `RemoteException`
    `MissingDataException`

### setDefaultNavigable

    public void setDefaultNavigable(CustomizationContext customizationContext,
                                    DesktopDefinitionId desktopDefinitionId,
                                    BookInstanceId parentBookInstanceId,
                                    NavigableInstanceId navigableInstanceId)
                             throws RemoteException,
                                    ObjectNotFoundException,
                                    NotEntitledException

  Description copied from interface: `IBookInstanceManager`

  Set the default navigable (page or book) on a page.

  Specified by:
    `setDefaultNavigable` in interface `IBookInstanceManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this update applies.
    `parentBookInstanceId` - the parent book instance to set the default on.
    `navigableInstanceId` - the navigable instance id of the child page/book to become the default
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - BookInstanceId or the NavigableInstanceId are bogus.
    `RemoteException`

### getDesktopView

    public DesktopView getDesktopView(CustomizationContext customizationContext,
                                      String webAppName,
                                      PortalPath portalPath,
                                      DesktopPath desktopPath)
                               throws RemoteException

  Description copied from interface: `IDesktopInstanceManager`

  Getter for returning an immutable deep copy of a `DesktopView`. If the user has customized his deskotp then this will return the user's specific instance.The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a deep copy of all references to all child pages, books and so on. The `DesktopView` object however is immutable.

  Specified by:
    `getDesktopView` in interface `IDesktopInstanceManager`
  Parameters:
    `customizationContext` -
    `webAppName` - the name of the webapp
    `portalPath` - the partial portal path
    `desktopPath` - the partial desktop path
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
    `RemoteException`
  See Also:
    `IDesktopDefinitionManager.getDesktopView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId)`

### getCustomizedDesktopView

    public DesktopView getCustomizedDesktopView(CustomizationContext customizationContext,
                                                String webAppName,
                                                PortalPath portalPath,
                                                DesktopPath desktopPath)
                                         throws RemoteException

  Description copied from interface: `IDesktopInstanceManager`

  Getter for returning an immutable deep copy of a `DesktopView`. If the user has customized his deskotp then this will return the user's specific instance otherwise null is returned. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a deep copy of all references to all child pages, books and so on. The `DesktopView` object however is immutable.

  Specified by:
    `getCustomizedDesktopView` in interface `IDesktopInstanceManager`
  Parameters:
    `customizationContext` -
    `webAppName` - the name of the webapp
    `portalPath` - the partial portal path
    `desktopPath` - the partial desktop path
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
    `RemoteException`
  See Also:
    `IDesktopDefinitionManager.getDesktopView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId)`

### getDesktopView

    public DesktopView getDesktopView(CustomizationContext customizationContext,
                                      DesktopInstanceId desktopInstanceId)
                               throws RemoteException

  Description copied from interface: `IDesktopInstanceManager`

  Getter for returning an immutable deep copy of a `DesktopView`. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a deep copy of all references to all child pages, books and so on. The `DesktopView` object however is immutable.

  Specified by:
    `getDesktopView` in interface `IDesktopInstanceManager`
  Parameters:
    `customizationContext` -
    `desktopInstanceId` - the unique instance id (webapp/portlaPath/desktopPath) of the desktop.
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
    `RemoteException`
  See Also:
    `IDesktopDefinitionManager.getDesktopView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId)`

### getDesktopInstance

    public DesktopInstance getDesktopInstance(CustomizationContext customizationContext,
                                              DesktopInstanceId desktopInstanceId)
                                       throws RemoteException

  Description copied from interface: `IDesktopInstanceManager`

  Getter for returning a `DesktopInstance` identified by the supplied instance id.

  Specified by:
    `getDesktopInstance` in interface `IDesktopInstanceManager`
  Parameters:
    `customizationContext` -
    `desktopInstanceId` - the unique id of the instance to return
  Returns:
    a fully populated internationalized `DesktopInstance` objects if it exist, otherwise null.
    `RemoteException`

### updateDesktopInstance

    public DesktopInstance updateDesktopInstance(CustomizationContext customizationContext,
                                                 DesktopInstance desktopInstance)
                                          throws RemoteException,
                                                 ObjectNotFoundException,
                                                 NotEntitledException

  Description copied from interface: `IDesktopInstanceManager`

  Update the persistent store for the supplied `DesktopInstance`. All attributes of the DesktopInstance are updated in persistent store.

  Specified by:
    `updateDesktopInstance` in interface `IDesktopInstanceManager`
  Parameters:
    `desktopInstance` - the new desktop instance containing all the new data.
  Throws:
    `ObjectNotFoundException` - the DesktopInstanceId specified in the desktopInstance is bogus.
    `NotEntitledException` - if the caller does not have the required permissions to update this object.
    `RemoteException`

### deleteDesktopCustomizations

    public void deleteDesktopCustomizations(String username)
                                     throws RemoteException,
                                            NotEntitledException

  Description copied from interface: `IDesktopInstanceManager`
  Delete/Remove all the customization for a particular user. This method should be called when a user is deleted from the system. Or you wish to remove all a user customizations.

  Specified by:
    `deleteDesktopCustomizations` in interface `IDesktopInstanceManager`
  Parameters:
    `username` - the login name of the user.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this customization
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved